/*
 * proto.h
 * Function prototypes.
 */

int max2(int, int);
int min2(int, int);
void clean_exit();

void gui_put_pixel(int, int, int);
void gui_clear_screen();
void gui_refresh();
void gui_kill();
int gui_init();
int gui_get_mouse(int *, int *);
int gui_rgb(int, int, int);
void gui_splash_on();
void gui_splash_off();
void gui_update_back(int, int, int **);
void gui_update_map(int **, int, int, int, int, int);
void gui_event_loop();

void wep_new(int, int, int, int, int, int);
void wep_update(int);
void wep_rmcode(int);
void wep_removeall();
void wep_draw(int, int, const int *);
void wep_explode();
void wep_newbomb(int, int, int);

int net_init();
int net_connect(char *);
int net_accept();
int net_put(char *);
int net_get(char *);
int net_snag();
int net_close();

void initgame();
void mangle();
void update();
void update_pal();
void update_us(char *);
int gfx_init();

void rob_init();
void rob_update();
void rob_negotiate();
